Package org.apache.sysds.runtime.compress.colgroup.insertionsort

# Enum Class InsertionSorterFactory.SORT_TYPE

java.lang.Object
java.lang.Enum<InsertionSorterFactory.SORT_TYPE>
org.apache.sysds.runtime.compress.colgroup.insertionsort.InsertionSorterFactory.SORT_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<InsertionSorterFactory.SORT_TYPE>`, `Constable`

Enclosing interface:
  InsertionSorterFactory

public static enum InsertionSorterFactory.SORT_TYPE extends Enum<InsertionSorterFactory.SORT_TYPE>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MATERIALIZE`
`MERGE`

## Method Summary

Modifier and Type
Method
Description
`static InsertionSorterFactory.SORT_TYPE`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InsertionSorterFactory.SORT_TYPE[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MERGE

public static final InsertionSorterFactory.SORT_TYPE MERGE

### MATERIALIZE

public static final InsertionSorterFactory.SORT_TYPE MATERIALIZE

## Method Details

### values

public static InsertionSorterFactory.SORT_TYPE[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InsertionSorterFactory.SORT_TYPE valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null